#!/usr/bin/perl -w
use strict;
use Kimdaba;

my @ListOfPictures;
my $folder=getRootFolder();
parsedb( "$folder" );
    # parse the xml file and create two hashes:
    # %imageattributes	: HASH OF (url of the picture, REF. HASH OF (attribute, value) )
    # %imageoptions	: HASH of (url, REF. HASH OF (optoin, REF. LIST OF value) )
#NOTE: complex datastructure in perl are a bit weird, see here :
#http://www.hmug.org/man/1/perldsc.html or type "man:/perldsc" in konqui
#see in Kimdaba.pm the printimage function 
	

my $nb1= scalar keys %imageattributes;
my $nb2= scalar keys %imageoptions;
print "I've found $nb1 pictures with attributes, and $nb2 with options\n";
printimage( (keys %imageattributes)[0] );
printimage( (keys %imageattributes)[$nb2] );

print "\n\n== NO Keywords  ==\n";
@ListOfPictures=matchAnyOption( "Keywords" => [] );
print join("\n", sort @ListOfPictures);

print "\n\n== Holiday  ==\n";
@ListOfPictures=matchAnyOption( "Keywords" => [ "holiday" ] );
print join("\n", sort @ListOfPictures);

print "\n\n== ANNE HELENE ==\n";
@ListOfPictures=matchAnyOption( "Persons" => [ "Anne Helene" ] );
print join("\n", sort @ListOfPictures);

print "\n\n== ANY OF (JESPER, ANNE HELEN) ==\n";
@ListOfPictures=matchAnyOption( "Persons" => [ "Jesper" , "Anne Helene" ] );
print join("\n", sort @ListOfPictures);

print "\n\n== ALL OF (JESPER, ANNE HELEN) ==\n";
@ListOfPictures=matchAllOptions( "Persons" => [ "Jesper" , "Anne Helene" ] );
print join("\n", sort @ListOfPictures);

print "\n\n== PERSONS=Jesper, Locations=Mallorca ==\n";
@ListOfPictures=matchAllOptions( 
	"Persons" => [ "Jesper" ],
	"Locations" => [ "Mallorca" ]
	);
print join("\n", sort @ListOfPictures);
